%define anolis_release 2

%global pypi_name    defusedxml

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        %{anolis_release}%{?dist}
Summary:        XML bomb protection for Python stdlib modules
License:        Python
URL:            https://github.com/tiran/defusedxml
Source0:        %{pypi_source %{pypi_name} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
The defusedxml package contains several Python-only workarounds and fixes for
denial of service and other vulnerabilities in Python's XML libraries. In order
to benefit from the protection you just have to import and use the listed
functions / classes from the right defusedxml module instead of the original
module.


%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The defusedxml package contains several Python-only workarounds and fixes for
denial of service and other vulnerabilities in Python's XML libraries. In order
to benefit from the protection you just have to import and use the listed
functions / classes from the right defusedxml module instead of the original
module. This is the python3 build.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{python3} tests.py


%files -n python3-%{pypi_name}
%doc README.txt README.html CHANGES.txt
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.7.1-2
- Rebuild with python3.11

* Mon May 15 2023 Funda Wang <fundawang@yeah.net> - 0.7.1-1
- Import package for anolis 23
